require_relative './subtext-ads/client'
require_relative './subtext-ads/configuration'

module SubtextAds
  class << self
    def configure
      yield(configuration)
    end

    def configuration
      @configuration ||= Configuration.new
    end

    def reset
      configuration.reset
    end
  end
end